Description

Al momento se si installa firefox dai .deb preparati (https:/gitlab.com/fusslab/firefox-build) si riscontrano dei problemi di dipendenze
con fuss-desktop.

Andrebbero pertanto rimossi firefox-esr-110n-de e firefox-esr-110n-it dalle dipendenze.

Ho provato a compilare un pacchetto con queste caratteristiche e tutti i problemi sembrerebbero risolversi. Se ti serve € nell'archivo
git.

History

#1 - 07/16/2018 12:20 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Marco Marinello

Grazie Marco per il tuo impegno.
Mi sono preso il tempo di testare il pacchetto firefox_61.0_amd64.deb per circa una settimana e direi che funziona bene.

Ci sono pero ancora tre cose da sistemare prima di fare il deploy:

1. la disponibilita dei pacchetti di lingue (language pack) anche per il tedesco ed in aggiunta inglese, spagnolo e francese.

2. un modo semplice per impostare la lingua dell'interfaccia del browser. Attualmente bisogna agire sul campo intl.locale.requested nelle
configurazioni avanzate (about:config) - v.
https://support.mozilla.org/en-US/kb/use-firefox-interface-other-languages-language-pack#w_how-to-change-the-language-of-the-user-interface

3. disabilitare la notifica degli aggiornamenti disponibili che causerebbe qualche problema agli utenti in quanto alcuni proverebbero, senza
successo, a ad aggiornare il borwser. Dal 5 luglio & disponibile per esempio la v. 61.0.1 e viene notificato.

#2 - 07/16/2018 01:55 AM - Marco Marinello
- File aggiornamenti.png added

A parziale correzione di quanto scritto prima, anche fuss-language-support ha problemi con il pacchetto.

Ho pubblicato la versione 61.0.1-2 che introduce un file fuss.cfg con la configurazione specifica di sistema per disabilitare gli aggiornamenti
automatici.

Per le altre richieste non ho idee. Installando le estensioni si ottiene il file .xpi ma non sono riuscito a convincere firefox a caricarlo.

#3 - 10/22/2018 01:29 PM - Marco Marinello
https://gitlab.com/fusslab/firefox-build
https://support.mozilla.org/en-US/kb/use-firefox-interface-other-languages-language-pack#w_how-to-change-the-language-of-the-user-interface

https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1755918

a quanto si legge basta impostare intl.locale.requested = ""

#4 - 11/02/2018 02:49 PM - Marco Marinello
- Status changed from Nuovo to Commenti

- Assignee changed from Marco Marinello to Paolo Dongilli

Ho fatto le modifiche indicate nei bugs di launchpad. Ti chiederei se hai tempo di provarle tu nel laboratorio FUSS.

La prima cosa sarebbe vedere dal plugin manager se vengono riconosciute come installate le estensioni di lingua che ho aggiunto ed in secondo
luogo provare a cambiare lingua del desktop e verificare se cambia anche quella del browser.
